> ## Documentation Index
> Fetch the complete documentation index at: https://docs.valmi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Accounts

> Manage customer accounts

## List Accounts

<ParamField path="GET" type="string" required>
  /v1/accounts
</ParamField>

List all accounts.

<ResponseField name="accounts" type="array">
  List of accounts
</ResponseField>

<RequestExample>
  ```bash theme={null}
  curl -X GET https://api.valmi.io/v1/accounts \
    -H "Authorization: Bearer sk_api_abc123xyz"
  ```
</RequestExample>

## Create Account

<ParamField path="POST" type="string" required>
  /v1/accounts
</ParamField>

Create a new account.

### Body

<ParamField body="name" type="string" required>
  Account name
</ParamField>

<ParamField body="email" type="string" required>
  Billing email
</ParamField>

<ParamField body="billing_address" type="object">
  Billing address
</ParamField>

<RequestExample>
  ```bash theme={null}
  curl -X POST https://api.valmi.io/v1/accounts \
    -H "Authorization: Bearer sk_api_abc123xyz" \
    -H "Content-Type: application/json" \
    -d '{
      "name": "Acme Corp",
      "email": "billing@acme.com",
      "billing_address": {
        "street": "123 Main St",
        "city": "San Francisco",
        "state": "CA",
        "zip": "94105",
        "country": "US"
      }
    }'
  ```
</RequestExample>
